MCP Tools Reference: oracledatabase.googleapis.com

Tool: list_odb_subnets

List ODB Subnets in a Google Cloud project in the given location.

The following code sample shows how to use curl to call the list_odb_subnets MCP tool.

Curl Request
curl --location 'https://oracledatabase.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_odb_subnets",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

The request for OdbSubnet.List.

ListOdbSubnetsRequest

JSON representation
{
  "parent": string,
  "pageSize": integer,
  "pageToken": string,
  "filter": string,
  "orderBy": string
}
Fields
parent

string

Required. The parent value for the OdbSubnet in the following format: projects/{project}/locations/{location}/odbNetworks/{odb_network}.

pageSize

integer

Optional. The maximum number of items to return. If unspecified, at most 50 ODB Networks will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. An expression for filtering the results of the request.

orderBy

string

Optional. An expression for ordering the results of the request.

Output Schema

The response for OdbSubnet.List.

ListOdbSubnetsResponse

JSON representation
{
  "odbSubnets": [
    {
      object (OdbSubnet)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
odbSubnets[]

object (OdbSubnet)

The list of ODB Subnets.

nextPageToken

string

A token identifying a page of results the server should return.

unreachable[]

string

Unreachable locations when listing resources across all locations using wildcard location '-'.

OdbSubnet

JSON representation
{
  "name": string,
  "cidrRange": string,
  "purpose": enum (Purpose),
  "labels": {
    string: string,
    ...
  },
  "createTime": string,
  "state": enum (State)
}
Fields
name

string

Identifier. The name of the OdbSubnet resource in the following format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet}

cidrRange

string

Required. Immutable. The CIDR range of the subnet.

purpose

enum (Purpose)

Required. Immutable. Purpose of the subnet.

labels

map (key: string, value: string)

Optional. Labels or tags associated with the resource.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

createTime

string (Timestamp format)

Output only. The date and time that the OdbNetwork was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

state

enum (State)

Output only. State of the ODB Subnet.

LabelsEntry

JSON representation
{
  "key": string,
  "value": string
}
Fields
key

string

value

string

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Purpose

Purpose available for the subnet.

Enums
PURPOSE_UNSPECIFIED Default unspecified value.
CLIENT_SUBNET Subnet to be used for client connections.
BACKUP_SUBNET Subnet to be used for backup.

State

The various lifecycle states of the ODB Subnet.

Enums
STATE_UNSPECIFIED Default unspecified value.
PROVISIONING Indicates that the resource is in provisioning state.
AVAILABLE Indicates that the resource is in available state.
TERMINATING Indicates that the resource is in terminating state.
FAILED Indicates that the resource is in failed state.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌